<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;

class Student extends Model 
{

    protected $table = 'students';
    public $timestamps = true;
    protected $fillable = array('name', 'email', 'password', 'phone', 'address', 'longitude', 'latitude', 'profile_image');

    public function academicYear()
    {
        return $this->belongsTo('App\Models\AcademicYear');
    }

    public function ratings()
    {
        return $this->belongsToMany('App\Models\Teacher', 'ratings');
    }

    public function favouriteSubjects()
    {
        return $this->belongsToMany('App\Models\Subject', 'student_subject');
    }

    public function lessons()
    {
        return $this->belongsToMany('App\Models\Lesson', 'student_lesson');
    }

}